services:
  api:
    build: .
    image: ${API_IMAGE}
    # gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-resultviewer/resultviewer-api:latest
    # command: poetry run flask run -h 0.0.0.0 -p 5010
    ports:
      #  - :5010
      - :80
    network_mode: bridge
    networks:
      - deminet
    restart: unless-stopped
    extra_hosts:
      - "host.docker.internal:host-gateway"
    environment:
      - CONFIGDB_URL_KEY
      #- ETCD_HOST=${ETCD_HOST}
      #- ETCD_PORT=${ETCD_PORT}
      #- ETCD_NAMESPACE=${ETCD_NAMESPACE}
      - CONFIGDB_ADDRESS=${CONFIGDB_ADDRESS}
      #ipc: "container:${COMPOSE_PROJECT_NAME}-ui-1"
      - API_PORT=${API_PORT:-5010}
      - START_NGINX=1
      - START_API=1
    stdin_open: true
    tty: true
    labels:
      - ${DEMI_NAMESPACE}.api.host=${HOST}
      - ${DEMI_NAMESPACE}.api.url_prefix=/api
      - ${DEMI_NAMESPACE}.api.category=Microservice
      - ${DEMI_NAMESPACE}.api.health=/health
      - ${DEMI_NAMESPACE}.api.description=resultviewer backend
      - ${DEMI_NAMESPACE}.api.protocol=http
    # healthcheck:
    #   test: curl -sS --fail http://localhost:5010/api/health || exit 1
    #   interval: 60s
    #   retries: 5
    #   start_period: 20s
    #   timeout: 10s

networks:
  deminet:
    external: true
